Subject: Re: [PATCH] Add support for power9 in ibm_architecture_vec

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 15 Jun 2016 21:28:54 +0530

Balbir Singh <[email-masked]> writes:

> On Wed, Jun 15, 2016 at 9:17 PM, Aneesh Kumar K.V
> <[email-masked]> wrote:
>> Shouldn't this be 125 + 16 ?
>
> Actually the previous patch broke it and Ben fixed it, it should have
> been 133 after adding POWER8NVL. My patch adds 16+1 (1 for the
> OV1_PPC_3_00)
>
> 133+17 = 150
>
> Michael, can you please check. I did a quick check with  gdb
>

I missed that  OV1_PPC_3_00 is byte 3 of option vection 1. I guess you
also need to update VECTOR_LENGHT above the option vector 1 to 3.
ie, it should be VECTOR_LENGTH(3) ?

-aneesh